<?php

namespace App\Repositories;

use App\Models\ConsumableItem;
use App\Repositories\BaseRepository;

/**
 * Class ConsumableItemRepository
 * @package App\Repositories
 * @version October 13, 2019, 7:31 pm UTC
*/

class ConsumableItemRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return ConsumableItem::class;
    }
}
